#include <ctime>
#include <cstdio>
#include <cstring>

static void copy1(int* dst, const int* src, int n) {
  for (int i = 0; i < n; i++)
    *dst++ = *src++;
}

static void copy2(int* dst, const int* src, int n) {
  memcpy(dst, src, n*sizeof(int));
}

static const int limit = 100000;
static const int n = 8007;

int main() {
  int src[n];
  int dst[n];

  time_t now = time(0);
  for (int k = 0; k < limit; k++) {
    copy1(dst, src, n);
  }
  printf("%g\n", difftime(time(0), now));

  now = time(0);
  for (int k = 0; k < limit; k++) {
    copy2(dst, src, n);
  }
  printf("%g\n", difftime(time(0), now));

  return 0;
}
